#
#     This file is part of the GitLab synchronization connector for Squash TM (sync-xsquash4gitlab) project.
#     Copyright (C) 2022 Henix, henix.fr - All Rights Reserved
#
#     Unauthorized copying of this file, via any medium is strictly prohibited
#     Proprietary and confidential
#
# 	 (C)Henix. Tous droits réservés.
#
# 	Avertissement : ce programme est protégé par la loi relative au droit d'auteur et par les conventions internationales. Toute reproduction ou distribution partielle ou totale du logiciel, par quelque moyen que ce soit, est strictement interdite.
#

# Configuration for Xsquash4GitLab plugin

# Delay between two synchronisations from GitLab expressed in seconds.
# If not provided will be defaulted to 300 sec ie 5 minutes.
# This property is shared between all synchronisation plugins.
squash.external.synchronisation.delay = 300

# Maximum number of GitLab issues that can be in scope while creating a new synchronisation
# This property is shared between all synchronisation plugins.
# squash.external.synchronisation.max-items-per-sync =

# Optional token used to validate GitLab webhooks (tested against the `X-GitLab-Token` request header)
# plugin.synchronisation.gitlab.webhook.secret-token = mySecretToken

# When true, the secret token will be shown in the plugin administration screens. Defaults to true.
# plugin.synchronisation.gitlab.webhook.show-secret-token = true
